sdr::DelegateInterface Class Referenceabstract

Interface of a delegate. More...

`#include <queue.hh>`

Inheritance diagram for sdr::DelegateInterface:

## Public Member Functions

virtual void | operator() ()=0
| Call back interface. More...
virtual void * | instance ()=0
| Returns the instance of the delegate. More...

## Detailed Description

Interface of a delegate.

## Member Function Documentation

virtual void* sdr::DelegateInterface::instance | ( |  | ) |

pure virtual

Returns the instance of the delegate.

Implemented in sdr::Delegate< T >.

virtual void sdr::DelegateInterface::operator() | ( |  | ) |

pure virtual

Call back interface.

Implemented in sdr::Delegate< T >.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/queue.hh